
import com.rational.test.tss.*;

import com.rational.test.tss.TSSConstants;

/* 
This test script demonstrates how to call all TSS Methods
and produces output or exceptions so you can see if 
TSS code is working properly.  DMorris 6/30/2000
*/

public class advanced extends com.rational.test.tss.TestScript {

	public static void main(String[] args){
                advanced t = new advanced();
                t.testMain(args);
	}

	public void testMain(String [] args) {
	try
	{
		TSSNamedValue[] nvArray = new TSSNamedValue[2];

		nvArray[0] = new TSSNamedValue();
		nvArray[0].name = "test0";
		nvArray[0].value = "value0";
		nvArray[1] = new TSSNamedValue();
		nvArray[1].name = "test1";
		nvArray[1].value = "value1";


                //TSSAdvanced.thinkTime(0);
        	//System.out.println("TSSAdvanced.thinkTime called");
        
        	TSSAdvanced.logCommand("test command", "label", (short)0, "test",0,0,"log", nvArray);
        	System.out.println("TSSAdvanced.logCommand called");
        
        	// overloaded version
        	TSSAdvanced.logCommand("test command", "label", (short)0);
        	System.out.println("TSSAdvanced.logCommand overloaded version called");
        
        	TSSAdvanced.internalVarSetInt(0, 1);
        	System.out.println("TSSAdvanced.readOnlySetInt called");
        
        	TSSAdvanced.internalVarSetString(0, "test");
        	System.out.println("TSSAdvanced.readOnlySetInt called");
        
	}
	catch (Exception e)
	{
		e.printStackTrace();
	}
	}
}
